import React__default from 'react';
import { SocialList } from './social-list/social-list.js';
import { NavList } from './nav/nav-list.js';
import { Logo } from './logo/logo.js';
import classNames from 'classnames';
import styles from './footer.module.pcss.js';
import { useTextStyles } from '@rescui/typography';

const Footer = ({
  forwardedRef,
  className
}) => {
  const textCn = useTextStyles();
  const linkClass = textCn('rs-link', {
    hardness: 'hard'
  });
  return React__default.createElement("footer", {
    className: classNames(styles.footer, className),
    ref: forwardedRef
  }, React__default.createElement("div", {
    className: 'ktl-layout ktl-layout--center'
  }, React__default.createElement("div", {
    className: styles.socialListArea
  }, React__default.createElement("div", {
    className: classNames(textCn('rs-text-2'), styles.socialListTitle)
  }, "Stay in touch:"), React__default.createElement(SocialList, null)), React__default.createElement(NavList, null), React__default.createElement(Logo, {
    className: styles.logoArea
  }), React__default.createElement("div", {
    className: classNames(textCn('rs-text-3', {
      hardness: 'hard'
    }), styles.textArea)
  }, React__default.createElement("div", {
    className: styles.motto
  }, "Supported and developed by\u00A0", React__default.createElement("a", {
    className: classNames(linkClass),
    href: "https://www.jetbrains.com/",
    target: "_blank"
  }, "JetBrains"), "."), React__default.createElement("div", {
    className: styles.copyright
  }, "Kotlin\u2122 is\u00A0protected under the", ' ', React__default.createElement("a", {
    className: classNames(linkClass),
    href: "https://kotlinlang.org/foundation/kotlin-foundation.html"
  }, "Kotlin\u00A0Foundation"), ' ', React__default.createElement("br", {
    className: styles.copyrightBreakLine
  }), "and\u00A0licensed under the", ' ', React__default.createElement("a", {
    className: classNames(linkClass),
    target: "_blank",
    href: "https://github.com/JetBrains/kotlin-web-site/blob/master/LICENSE",
    rel: "noreferrer"
  }, "Apache 2\u00A0license"), "."))));
};

export { Footer };
