import React__default from 'react';
import { useTheme } from '@rescui/ui-contexts';
import classNames from 'classnames';
import styles from './social-item.module.pcss.js';
import Button from '@rescui/button';

const SocialItem = ({
  socialNetwork
}) => {
  const SocialIcon = socialNetwork.icon;
  const theme = useTheme();
  return React__default.createElement(Button, {
    mode: 'clear',
    size: 'l',
    target: "_blank",
    href: socialNetwork.url,
    title: socialNetwork.title,
    className: classNames(styles.socialItem, {
      [styles.socialItemDarkTheme]: theme === 'dark'
    }),
    icon: React__default.createElement(SocialIcon, null)
  });
};

export { SocialItem };
