import React__default, { Fragment } from 'react';
import { MenuListItem } from '../menu-list-item/menu-list-item.js';
import styles from './menu-list.module.pcss.js';

const MenuList = ({
  items,
  level,
  linkHandler
}) => {
  return React__default.createElement(React__default.Fragment, null, items.map((item, i) => React__default.createElement(Fragment, {
    key: i
  }, item.items && item.items.length > 0 ? React__default.createElement("div", {
    className: styles.menuItemGroup
  }, React__default.createElement(MenuListItem, {
    item: item,
    level: level,
    linkHandler: linkHandler
  }), item.items && item.items.length > 0 && React__default.createElement(MenuList, {
    items: item.items,
    level: level + 1,
    linkHandler: linkHandler
  })) : React__default.createElement(React__default.Fragment, null, React__default.createElement(MenuListItem, {
    item: item,
    level: level,
    linkHandler: linkHandler
  }), item.items && React__default.createElement(MenuList, {
    items: item.items,
    level: level + 1,
    linkHandler: linkHandler
  })))));
};

export { MenuList };
