import React from 'react';
import cn from 'classnames';
import { useTheme } from '@rescui/ui-contexts';
import { CloseIcon } from '@rescui/icons';
import { Button } from '@rescui/button';
import { useSidebarContext } from '@jetbrains/kotlin-web-site-ui/out/components/sidebar';
import styles from './menu-header.module.css.js';

function SidebarMenuHeader({
  className,
  children,
  onClose
}) {
  const theme = useTheme();
  const {
    onClose: onCloseContext
  } = useSidebarContext();
  const close = onClose || onCloseContext;
  return React.createElement("div", {
    className: cn(styles[theme || 'light'], className, styles.header)
  }, children, React.createElement(Button, {
    "aria-label": "close menu",
    mode: "clear",
    className: styles.trigger,
    onClick: close,
    icon: React.createElement(CloseIcon, null)
  }));
}

export { SidebarMenuHeader };
