import React, { useCallback } from 'react';
import { MenuItem } from '@rescui/menu';

function SidebarMenuItem({
  index,
  isActive,
  onClick,
  ...props
}) {
  const handleClick = useCallback(e => {
    if (onClick) onClick(e, index);
  }, [onClick, index]);
  return React.createElement(MenuItem, {
    selected: isActive,
    ...props,
    onClick: handleClick
  });
}

export { SidebarMenuItem };
